Subject: Re: [tsvwg] WGLC for draft-ietf-tsvwg-sctp-ndata to conclude 12th June 2017.

From: Magnus Westerlund <[email-masked]>
Date: Thu, 1 Jun 2017 17:30:12 +0200

Hi,

I have reviewed the changes since -08 and that my comments on -08 has 
been resolved satisfactory. I have no further comments and think this 
document is ready for publication.

Cheers

Magnus

Den 2017-05-28 kl. 21:23, skrev Gorry Fairhurst:
> This email notes the start of a WGLC for draft-ietf-tsvwg-sctp-ndata.
> 
> Please send notes to this list or the WG Chairs, if you support 
> publication of this draft or have any comments on the current revision 
> of this document. The intended status (if the document completes the 
> WGLC) is PS.
> 
> The WGLC will conclude 12th June 2017.
> 
> Best wishes,
> 
> Gorry, David and Wes.
> 
> 

-- 

Magnus Westerlund

----------------------------------------------------------------------
Media Technologies, Ericsson Research
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: "Proshin, Maksim" <[email-masked]>
Date: Fri, 2 Jun 2017 08:15:46 +0000

Hi,

I don’t have any further comments either and support publication of it.

BR, Maxim

---------- Forwarded message ----------
From: Magnus Westerlund <[email-masked]<mailto:[email-masked]>>
Date: Thu, Jun 1, 2017 at 6:30 PM
Subject: Re: [tsvwg] WGLC for draft-ietf-tsvwg-sctp-ndata to conclude 12th June 2017.
To: [email-masked]<mailto:[email-masked]>, [email-masked]<mailto:[email-masked]>

Hi,

I have reviewed the changes since -08 and that my comments on -08 has been resolved satisfactory. I have no further comments and think this document is ready for publication.

Cheers

Magnus

Please send notes to this list or the WG Chairs, if you support publication of this draft or have any comments on the current revision of this document. The intended status (if the document completes the WGLC) is PS.

Best wishes,

Gorry, David and Wes.

--

Magnus Westerlund

SE-164 80 Stockholm, Sweden | mailto: [email-masked]<mailto:[email-masked]>

---

From: Michael Tuexen <[email-masked]>
Date: Sun, 11 Jun 2017 13:20:57 +0200

> On 28. May 2017, at 21:24, Gorry Fairhurst <[email-masked]> wrote:
> 
> On 28/05/2017, 20:23, Gorry Fairhurst wrote:
> I have the read above document during the WGLC and I would like to add the following comments to the WGLC for this draft.
Hi Gorry,

thank you very much for reviewing the document. Please see my comments including a single question in-line.

Best regards
Michael
> Gorry
> ----
> OLD:
> allowing to have up to
> NEW:
> allowing up to
> - may be better English?
Sure: Taken.
> ---
> OLD:
> Therefore it is impossible for the sender to
> NEW:
> This document allows an SCTP sender to
> - The impossibility cited was the case before this document is approved. I think
> the alternative wording avoids this.
Taken.
> ---
> OLD:
> complaint implementation not supporting
> NEW:
> complaint implementation that does not support
> ---
Taken (using compliant instead of complaint).
> 
> OLD:
> which has been omitted from the I-DATA chunk
> NEW:
> (The I-Data chunk omits a TSN.)
> - Slightly confusing wording.
Taken by using (The I-DATA chunk omits a SSN.)
> ---
> Figure 2
> I understood Figure 2 perfectly when I last read it, now some time has passed I found it a little harder. I think this would be much easier to understand if the text explained that this shows a scheduler with two queues of messages. Queue 1 has three messages, queue 2 has one larger message that is interleaved by dividing ... etc and explain 0...8 etc.
The meaning of the different numbers is given in the figures, but I added to clarifying text.
> ---
> Section 3.2, 3.3 etc contain the word “scheduler” in the title, but section 3.1 did not, but the text still refers to this as a scheduler, so please update the section 3.1 title to include the word “scheduler” to be consistent.
Done.
> ---
> Section 3.3
> - insert comma before /which/.
Done.
> ---
> Section 3.6
> - Speaks of bandwidth (twice), whereas I think it would be clearer to use the word “capacity” since this is about sharing network capacity.
Replaced. But there are three occurrences of bandwidth, not three. So I replaced all three.
Doesn't the same argument apply to section 3.5? Three occurrences there...
> ---
> Section 4.1
> OLD:
> Exposition
> NEW:
> Exposure
> - Wrong word!
Taken.
> ---
> Section 4.1
> - For avoidance of doubt, please use the title of the section in RFC6458 with each entry, i.e., “SCTP Header Information Structure” and “Extended SCTP Header Information Structure” and “SCTP Receive Information Structure”.
Done.
> ---